'use client'
import React, { ForwardedRef, ReactNode, RefObject, forwardRef } from 'react';
import Container from 'react-bootstrap/Container';
import AboutBrief from './components/AboutBrief';
import Skills from './components/Skills';
import { Contacts } from './components/Contacts';
import WorkExperience from './components/WorkExperience';
import Education from './components/Education';
import { Col, Row, Stack } from 'react-bootstrap';
import Footer from './components/Footer';
import Photo from './components/Photo';
import Projects from './components/Projects';

export default function Home() {
  return (

    <Container className='main-container' fluid='xxl'>
      <Row>
        <Col xs={4} sm={2} lg={2} className='d-flex align-items-center'><Photo /></Col>
        <Col xs={8} sm={10} lg={5}><AboutBrief /></Col>
        <Col xs={12} lg={5}><Contacts /></Col>
      </Row>
      <Row>
        <Col xs={12} lg={8}><WorkExperience /></Col>
        <Col xs={12} lg={4}><Skills /></Col>
        <Col xs={12} lg={6}><Education /></Col>
        <Col xs={12} lg={6}><Projects /></Col>
      </Row>
      <Row><Footer /></Row>
    </Container>
  )
}
